=== debian/changelog ===
lv2 (1.8.0~dfsg0-1) unstable; urgency=low

  * New upstream release:
    - Install lv2specgen for use by other projects.
    - lv2specgen: Fix links to externally defined terms.
    - Add scope example plugin from Robin Gareus.
    - lv2core: Add lv2:prototype for property inheritance.
    - atom: Make lv2_atom_*_is_end() arguments const.
    - log: Add missing include <string.h> to logger.h for memset.
    - ui: Fix LV2_UI_INVALID_PORT_INDEX identifier in documentation.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Jan 2014 10:29:02 +0000
