## lv2 1.10.0~dfsg1

=== debian/changelog ===
lv2 (1.10.0~dfsg1-1) unstable; urgency=medium

  * New upstream release.

  [ Jaromír Mikeš ]
  * Set dh/compat 9.
  * Remove --debug from configure to cppflags be passed.
  * Tuned get-orig-source.

  [ Alessio Treglia ]
  * Add script to help out repacking the tarball.
  * Move example plugins from lv2-dev to lv-examples.

 -- Alessio Treglia <alessio@debian.org>  Wed, 13 Aug 2014 16:29:24 +0100
