=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libgtk2.0-dev,
  libsndfile1-dev,
  perl,
@@ -46,6 +46,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Breaks: lv2-dev (<= 1.8.0~dfsg0-1+)
+Replaces: lv2-dev (<= 1.8.0~dfsg0-1+)
 Provides:
  lv2-plugin
 Description: LV2 audio plugin specification (example plugins)
