=== debian/changelog ===
lv2 (1.12.0~dfsg0-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Simplify lv2-examples install file. Thanks to Falktx

  [ Alessio Treglia ]
  * New upstream release.
  * debian/docs: Fix readme's filename.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 26 Apr 2015 20:21:39 +0100
