=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  perl,
  pkg-config,
  python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lv2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lv2.git
 Homepage: http://lv2plug.in/
