=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,7 @@
 override_dh_auto_configure:
 	$(WAF) configure --prefix=/usr \
 		--mandir=/usr/share/man \
-		--strict \
-		--debug
+		--strict
 
 override_dh_auto_build:
 	$(WAF)
@@ -51,3 +50,5 @@
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.bz2 ../$(pkg)_$(dfsg_version).orig.tar.bz2
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2
