=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://lv2plug.in/spec/lv2-([\d.]*)\.tar\.bz2
