## lv2 1.14.0~dfsg1

=== plugins/wscript ===
--- 
+++ 
@@ -23,7 +23,8 @@
               'eg-fifths.lv2',
               'eg-metro.lv2',
               'eg-sampler.lv2',
-              'eg-scope.lv2']:
+              'eg-scope.lv2',
+              'eg-params.lv2']:
         files += bld.path.ant_glob('%s/*.txt' % i)
         files += bld.path.ant_glob('%s/manifest.ttl*' % i)
         files += bld.path.ant_glob('%s/*.ttl' % i)
