=== debian/changelog ===
lv2 (1.14.0~dfsg1-2) unstable; urgency=medium

  * Bump Standards.
  * Set dh/compat 11.
  * Update VCS to salsa.
  * New maintainer address <debian-multimedia@lists.d.o>
  * Use secure uri in copyright file.
  * Fix pkg-config path for cross compilation. (Closes: #888762)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 29 Jan 2018 23:02:59 +0100

lv2 (1.14.0~dfsg1-1) unstable; urgency=medium

  * New upstream version 1.14.0~dfsg1
  * Fix hardening.
  * Fix VCS fields.
  * Bump Standards.
  * Add .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Sep 2016 13:20:16 +0200
