=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: lv2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  libgtk2.0-dev,
  libsndfile1-dev,
  perl,
  pkg-config,
  python
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lv2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lv2.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/multimedia-team/lv2
+Vcs-Browser: https://salsa.debian.org/multimedia-team/lv2
 Homepage: http://lv2plug.in/
 
 Package: lv2-dev
