=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+include /usr/share/dpkg/architecture.mk
+
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
-dfsg_version = $(upstream_version)~dfsg0
+dfsg_version = $(upstream_version)~dfsg1
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 WAF = ./waf
 
@@ -33,6 +37,9 @@
 	for plugin in `cat debian/lv2-examples.install`; do \
 		rm -rf debian/lv2-dev/$$plugin ; \
 	done
+	# move .pc files to a multiarch directory
+	mkdir debian/lv2-dev/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/lv2-dev/usr/lib/pkgconfig debian/lv2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -47,6 +54,7 @@
 	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
 	rmdir $(pkg)-$(dfsg_version)/.waf-*
 	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
+	rm $(pkg)-$(dfsg_version)/plugins/*/waf
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
