## lv2 1.16.0

=== debian/changelog ===
lv2 (1.16.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Set RRR: no
    - Remove obsolete Breaks+Replaces
    - Bump debhelper compat to 12
    - Bump Standards-Version
  * debian/: Run waf with Python 3

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Oct 2019 00:35:01 +0200
