=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libgtk2.0-dev,
  libsndfile1-dev,
- perl,
  pkg-config,
- python
-Standards-Version: 4.1.3
-Vcs-Git: https://salsa.debian.org/multimedia-team/lv2
+ python3
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/lv2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lv2
 Homepage: http://lv2plug.in/
+Rules-Requires-Root: no
 
 Package: lv2-dev
 Section: libdevel
@@ -23,12 +23,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks:
- lv2-extensions-good (<= 0~20111202+dfsg0-2~),
- lv2core (<= 6.0+dfsg0-2~)
-Replaces:
- lv2-extensions-good (<= 0~20111202+dfsg0-2~),
- lv2core (<= 6.0+dfsg0-2~)
 Description: LV2 audio plugin specification
  LV2 is a simple but extensible successor of LADSPA plugins,
  intended to address the limitations of LADSPA which many
@@ -46,8 +40,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks: lv2-dev (<= 1.8.0~dfsg0-1+)
-Replaces: lv2-dev (<= 1.8.0~dfsg0-1+)
 Provides:
  lv2-plugin
 Description: LV2 audio plugin specification (example plugins)
