=== debian/watch ===
version=3
http://lv2plug.in/spec/lv2-([\d.]*)\.tar\.bz2
